API Reference
GET /v1/web-search

GET /v1/web-search

Search Google and get structured results. Useful for researching companies, finding news, or discovering information about entities.

Cost: $0.02 per call — not available on X API or twit.sh

curl "https://frontrun.vc/v1/web-search?q=Uniswap%20Series%20B%20funding" \
  -H "X-API-Key: your_api_key"

Parameters

ParameterTypeDefaultDescription
qstring (query)--Search query (required)
numinteger (query)10Number of results (max 20)

Response

{
  "query": "Uniswap Series B funding",
  "count": 10,
  "data": [
    {
      "title": "Uniswap Labs Raises $165M Series B",
      "link": "https://techcrunch.com/...",
      "snippet": "Uniswap Labs, the company behind...",
      "position": 1
    }
  ],
  "knowledge_graph": null,
  "cost_cents": 2,
  "balance_cents": 9898
}